org.apache.pdfbox.cos

## Class COSName

- java.lang.Object
- - org.apache.pdfbox.cos.COSBase
  - - org.apache.pdfbox.cos.COSName

All Implemented Interfaces:
  Comparable<COSName>, COSObjectable

    public final class COSName
    extends COSBase
    implements Comparable<COSName>

A PDF Name object.

Author:
  Ben Litchfield

### Field Summary

Fields
`static COSName` `A`
`static COSName` `AA`
`static COSName` `ABSOLUTE_COLORIMETRIC`
`static COSName` `AC`
`static COSName` `ACRO_FORM`
`static COSName` `ACTUAL_TEXT`
`static COSName` `ADBE`
`static COSName` `ADBE_PKCS7_DETACHED`
`static COSName` `ADBE_PKCS7_SHA1`
`static COSName` `ADBE_X509_RSA_SHA1`
`static COSName` `ADOBE_PPKLITE`
`static COSName` `AESV2`
`static COSName` `AESV3`
`static COSName` `AF`
`static COSName` `AF_RELATIONSHIP`
`static COSName` `AFTER`
`static COSName` `AI_META_DATA`
`static COSName` `AIS`
`static COSName` `ALL_OFF`
`static COSName` `ALL_ON`
`static COSName` `ALPHA`
`static COSName` `ALT`
`static COSName` `ALTERNATE`
`static COSName` `ANNOT`
`static COSName` `ANNOTS`
`static COSName` `ANTI_ALIAS`
`static COSName` `ANY_OFF`
`static COSName` `ANY_ON`
`static COSName` `AP`
`static COSName` `AP_REF`
`static COSName` `APP`
`static COSName` `ART_BOX`
`static COSName` `ARTIFACT`
`static COSName` `AS`
`static COSName` `ASCENT`
`static COSName` `ASCII_HEX_DECODE`
`static COSName` `ASCII_HEX_DECODE_ABBREVIATION`
`static COSName` `ASCII85_DECODE`
`static COSName` `ASCII85_DECODE_ABBREVIATION`
`static COSName` `ATTACHED`
`static COSName` `AUTHOR`
`static COSName` `AVG_WIDTH`
`static COSName` `B`
`static COSName` `BACKGROUND`
`static COSName` `BASE_ENCODING`
`static COSName` `BASE_FONT`
`static COSName` `BASE_STATE`
`static COSName` `BASE_VERSION`
`static COSName` `BBOX`
`static COSName` `BC`
`static COSName` `BE`
`static COSName` `BEAD`
`static COSName` `BEFORE`
`static COSName` `BG`
`static COSName` `BITS_PER_COMPONENT`
`static COSName` `BITS_PER_COORDINATE`
`static COSName` `BITS_PER_FLAG`
`static COSName` `BITS_PER_SAMPLE`
`static COSName` `BL`
`static COSName` `BLACK_IS_1`
`static COSName` `BLACK_POINT`
`static COSName` `BLEED_BOX`
`static COSName` `BM`
`static COSName` `BORDER`
`static COSName` `BOUNDS`
`static COSName` `BPC`
`static COSName` `BS`
`static COSName` `BTN`
`static COSName` `BYTERANGE`
`static COSName` `C`
`static COSName` `C0`
`static COSName` `C1`
`static COSName` `CA`
`static COSName` `CA_NS`
`static COSName` `CALGRAY`
`static COSName` `CALRGB`
`static COSName` `CAP`
`static COSName` `CAP_HEIGHT`
`static COSName` `CATALOG`
`static COSName` `CCITTFAX_DECODE`
`static COSName` `CCITTFAX_DECODE_ABBREVIATION`
`static COSName` `CENTER_WINDOW`
`static COSName` `CERT`
`static COSName` `CERTS`
`static COSName` `CF`
`static COSName` `CFM`
`static COSName` `CH`
`static COSName` `CHAR_PROCS`
`static COSName` `CHAR_SET`
`static COSName` `CHECK_SUM`
`static COSName` `CI`
`static COSName` `CICI_SIGNIT`
`static COSName` `CID_FONT_TYPE0`
`static COSName` `CID_FONT_TYPE2`
`static COSName` `CID_SET`
`static COSName` `CID_TO_GID_MAP`
`static COSName` `CIDSYSTEMINFO`
`static COSName` `CL`
`static COSName` `CLASS_MAP`
`static COSName` `CLR_F`
`static COSName` `CLR_FF`
`static COSName` `CMAP`
`static COSName` `CMAPNAME`
`static COSName` `CMYK`
`static COSName` `CO`
`static COSName` `COLLECTION`
`static COSName` `COLLECTION_FIELD`
`static COSName` `COLLECTION_ITEM`
`static COSName` `COLLECTION_SCHEMA`
`static COSName` `COLLECTION_SORT`
`static COSName` `COLLECTION_SUBITEM`
`static COSName` `COLOR`
`static COSName` `COLOR_BURN`
`static COSName` `COLOR_DODGE`
`static COSName` `COLORANTS`
`static COSName` `COLORS`
`static COSName` `COLORSPACE`
`static COSName` `COLUMNS`
`static COSName` `COMPATIBLE`
`static COSName` `COMPONENTS`
`static COSName` `CONTACT_INFO`
`static COSName` `CONTENTS`
`static COSName` `COORDS`
`static COSName` `COUNT`
`static COSName` `CP`
`static COSName` `CREATION_DATE`
`static COSName` `CREATOR`
`static COSName` `CRL`
`static COSName` `CRLS`
`static COSName` `CROP_BOX`
`static COSName` `CRYPT`
`static COSName` `CS`
`static COSName` `CYX`
`static COSName` `D`
`static COSName` `DA`
`static COSName` `DARKEN`
`static COSName` `DATE`
`static COSName` `DCT_DECODE`
`static COSName` `DCT_DECODE_ABBREVIATION`
`static COSName` `DECODE`
`static COSName` `DECODE_PARMS`
`static COSName` `DEFAULT`
`static COSName` `DEFAULT_CMYK`
`static COSName` `DEFAULT_CRYPT_FILTER`
`static COSName` `DEFAULT_GRAY`
`static COSName` `DEFAULT_RGB`
`static COSName` `DESC`
`static COSName` `DESCENDANT_FONTS`
`static COSName` `DESCENT`
`static COSName` `DEST`
`static COSName` `DEST_OUTPUT_PROFILE`
`static COSName` `DESTS`
`static COSName` `DEVICECMYK`
`static COSName` `DEVICEGRAY`
`static COSName` `DEVICEN`
`static COSName` `DEVICERGB`
`static COSName` `DI`
`static COSName` `DIFFERENCE`
`static COSName` `DIFFERENCES`
`static COSName` `DIGEST_METHOD`
`static COSName` `DIGEST_RIPEMD160`
`static COSName` `DIGEST_SHA1`
`static COSName` `DIGEST_SHA256`
`static COSName` `DIGEST_SHA384`
`static COSName` `DIGEST_SHA512`
`static COSName` `DIRECTION`
`static COSName` `DISPLAY_DOC_TITLE`
`static COSName` `DL`
`static COSName` `DM`
`static COSName` `DOC`
`static COSName` `DOC_CHECKSUM`
`static COSName` `DOC_TIME_STAMP`
`static COSName` `DOCMDP`
`static COSName` `DOCUMENT`
`static COSName` `DOMAIN`
`static COSName` `DOS`
`static COSName` `DP`
`static COSName` `DR`
`static COSName` `DS`
`static COSName` `DSS`
`static COSName` `DUPLEX`
`static COSName` `DUR`
`static COSName` `DV`
`static COSName` `DW`
`static COSName` `DW2`
`static COSName` `E`
`static COSName` `EARLY_CHANGE`
`static COSName` `EF`
`static COSName` `EMBEDDED_FDFS`
`static COSName` `EMBEDDED_FILE`
`static COSName` `EMBEDDED_FILES`
`static COSName` `EMPTY`
`static COSName` `ENCODE`
`static COSName` `ENCODED_BYTE_ALIGN`
`static COSName` `ENCODING`
`static COSName` `ENCODING_90MS_RKSJ_H`
`static COSName` `ENCODING_90MS_RKSJ_V`
`static COSName` `ENCODING_ETEN_B5_H`
`static COSName` `ENCODING_ETEN_B5_V`
`static COSName` `ENCRYPT`
`static COSName` `ENCRYPT_META_DATA`
`static COSName` `ENCRYPTED_PAYLOAD`
`static COSName` `END_OF_LINE`
`static COSName` `ENTRUST_PPKEF`
`static COSName` `EX_DATA`
`static COSName` `EXCLUSION`
`static COSName` `EXPORT`
`static COSName` `EXPORT_STATE`
`static COSName` `EXT_G_STATE`
`static COSName` `EXTEND`
`static COSName` `EXTENDS`
`static COSName` `EXTENSION_LEVEL`
`static COSName` `EXTENSIONS`
`static COSName` `F`
`static COSName` `F_DECODE_PARMS`
`static COSName` `F_FILTER`
`static COSName` `FB`
`static COSName` `FDF`
`static COSName` `FF`
`static COSName` `FIELDS`
`static COSName` `FILESPEC`
`static COSName` `FILTER`
`static COSName` `FIRST`
`static COSName` `FIRST_CHAR`
`static COSName` `FIT_WINDOW`
`static COSName` `FL`
`static COSName` `FLAGS`
`static COSName` `FLATE_DECODE`
`static COSName` `FLATE_DECODE_ABBREVIATION`
`static COSName` `FO`
`static COSName` `FOLDERS`
`static COSName` `FONT`
`static COSName` `FONT_BBOX`
`static COSName` `FONT_DESC`
`static COSName` `FONT_FAMILY`
`static COSName` `FONT_FILE`
`static COSName` `FONT_FILE2`
`static COSName` `FONT_FILE3`
`static COSName` `FONT_MATRIX`
`static COSName` `FONT_NAME`
`static COSName` `FONT_STRETCH`
`static COSName` `FONT_WEIGHT`
`static COSName` `FORM`
`static COSName` `FORMTYPE`
`static COSName` `FRM`
`static COSName` `FS`
`static COSName` `FT`
`static COSName` `FUNCTION`
`static COSName` `FUNCTION_TYPE`
`static COSName` `FUNCTIONS`
`static COSName` `G`
`static COSName` `GAMMA`
`static COSName` `GROUP`
`static COSName` `GTS_PDFA1`
`static COSName` `H`
`static COSName` `HARD_LIGHT`
`static COSName` `HEIGHT`
`static COSName` `HELV`
`static COSName` `HIDE_MENUBAR`
`static COSName` `HIDE_TOOLBAR`
`static COSName` `HIDE_WINDOWUI`
`static COSName` `HUE`
`static COSName` `I`
`static COSName` `IC`
`static COSName` `ICCBASED`
`static COSName` `ID`
`static COSName` `ID_TREE`
`static COSName` `IDENTITY`
`static COSName` `IDENTITY_H`
`static COSName` `IDENTITY_V`
`static COSName` `IF`
`static COSName` `ILLUSTRATOR`
`static COSName` `IM`
`static COSName` `IMAGE`
`static COSName` `IMAGE_MASK`
`static COSName` `INDEX`
`static COSName` `INDEXED`
`static COSName` `INFO`
`static COSName` `INKLIST`
`static COSName` `INTENT`
`static COSName` `INTERPOLATE`
`static COSName` `IRT`
`static COSName` `ISSUER`
`static COSName` `IT`
`static COSName` `ITALIC_ANGLE`
`static COSName` `IX`
`static COSName` `JAVA_SCRIPT`
`static COSName` `JBIG2_DECODE`
`static COSName` `JBIG2_GLOBALS`
`static COSName` `JPX_DECODE`
`static COSName` `JS`
`static COSName` `K`
`static COSName` `KEY_USAGE`
`static COSName` `KEYWORDS`
`static COSName` `KIDS`
`static COSName` `L`
`static COSName` `LAB`
`static COSName` `LANG`
`static COSName` `LAST`
`static COSName` `LAST_CHAR`
`static COSName` `LAST_MODIFIED`
`static COSName` `LC`
`static COSName` `LE`
`static COSName` `LEADING`
`static COSName` `LEGAL_ATTESTATION`
`static COSName` `LENGTH`
`static COSName` `LENGTH1`
`static COSName` `LENGTH2`
`static COSName` `LENGTH3`
`static COSName` `LIGHTEN`
`static COSName` `LIMITS`
`static COSName` `LINEARIZED`
`static COSName` `LINK`
`static COSName` `LJ`
`static COSName` `LL`
`static COSName` `LLE`
`static COSName` `LLO`
`static COSName` `LOCATION`
`static COSName` `LUMINOSITY`
`static COSName` `LW`
`static COSName` `LZW_DECODE`
`static COSName` `LZW_DECODE_ABBREVIATION`
`static COSName` `M`
`static COSName` `MAC`
`static COSName` `MAC_EXPERT_ENCODING`
`static COSName` `MAC_ROMAN_ENCODING`
`static COSName` `MARK_INFO`
`static COSName` `MASK`
`static COSName` `MATRIX`
`static COSName` `MATTE`
`static COSName` `MAX_LEN`
`static COSName` `MAX_WIDTH`
`static COSName` `MCID`
`static COSName` `MCR`
`static COSName` `MDP`
`static COSName` `MEASURE`
`static COSName` `MEDIA_BOX`
`static COSName` `METADATA`
`static COSName` `MISSING_WIDTH`
`static COSName` `MIX`
`static COSName` `MK`
`static COSName` `ML`
`static COSName` `MM_TYPE1`
`static COSName` `MOD_DATE`
`static COSName` `MULTIPLY`
`static COSName` `N`
`static COSName` `NAME`
`static COSName` `NAMES`
`static COSName` `NAVIGATOR`
`static COSName` `NEED_APPEARANCES`
`static COSName` `NEW_WINDOW`
`static COSName` `NEXT`
`static COSName` `NM`
`static COSName` `NON_EFONT_NO_WARN`
`static COSName` `NON_FULL_SCREEN_PAGE_MODE`
`static COSName` `NONE`
`static COSName` `NORMAL`
`static COSName` `NUMS`
`static COSName` `O`
`static COSName` `OBJ`
`static COSName` `OBJ_STM`
`static COSName` `OBJR`
`static COSName` `OC`
`static COSName` `OCG`
`static COSName` `OCGS`
`static COSName` `OCMD`
`static COSName` `OCPROPERTIES`
`static COSName` `OCSP`
`static COSName` `OCSPS`
`static COSName` `OE`
`static COSName` `Off` "Off", to be used for Acroform, not for OCGs
`static COSName` `OFF` "OFF", to be used for OCGs, not for Acroform
`static COSName` `OID`
`static COSName` `ON`
`static COSName` `OP`
`static COSName` `OP_NS`
`static COSName` `OPEN_ACTION`
`static COSName` `OPEN_TYPE`
`static COSName` `OPM`
`static COSName` `OPT`
`static COSName` `ORDER`
`static COSName` `ORDERING`
`static COSName` `OS`
`static COSName` `OUTLINES`
`static COSName` `OUTPUT_CONDITION`
`static COSName` `OUTPUT_CONDITION_IDENTIFIER`
`static COSName` `OUTPUT_INTENT`
`static COSName` `OUTPUT_INTENTS`
`static COSName` `OVERLAY`
`static COSName` `P`
`static COSName` `PA`
`static COSName` `PAGE`
`static COSName` `PAGE_LABELS`
`static COSName` `PAGE_LAYOUT`
`static COSName` `PAGE_MODE`
`static COSName` `PAGES`
`static COSName` `PAINT_TYPE`
`static COSName` `PANOSE`
`static COSName` `PARAMS`
`static COSName` `PARENT`
`static COSName` `PARENT_TREE`
`static COSName` `PARENT_TREE_NEXT_KEY`
`static COSName` `PART`
`static COSName` `PATH`
`static COSName` `PATTERN`
`static COSName` `PATTERN_TYPE`
`static COSName` `PC`
`static COSName` `PDF_DOC_ENCODING`
`static COSName` `PERCEPTUAL`
`static COSName` `PERMS`
`static COSName` `PG`
`static COSName` `PI`
`static COSName` `PIECE_INFO`
`static COSName` `PO`
`static COSName` `POPUP`
`static COSName` `PRE_RELEASE`
`static COSName` `PREDICTOR`
`static COSName` `PREV`
`static COSName` `PRINT`
`static COSName` `PRINT_AREA`
`static COSName` `PRINT_CLIP`
`static COSName` `PRINT_SCALING`
`static COSName` `PRINT_STATE`
`static COSName` `PRIVATE`
`static COSName` `PROC_SET`
`static COSName` `PROCESS`
`static COSName` `PRODUCER`
`static COSName` `PROP_BUILD`
`static COSName` `PROPERTIES`
`static COSName` `PS`
`static COSName` `PUB_SEC`
`static COSName` `PV`
`static COSName` `Q`
`static COSName` `QUADPOINTS`
`static COSName` `R`
`static COSName` `RANGE`
`static COSName` `RC`
`static COSName` `RD`
`static COSName` `REASON`
`static COSName` `REASONS`
`static COSName` `RECIPIENTS`
`static COSName` `RECT`
`static COSName` `REFERENCE`
`static COSName` `REGISTRY`
`static COSName` `REGISTRY_NAME`
`static COSName` `RELATIVE_COLORIMETRIC`
`static COSName` `RENAME`
`static COSName` `REPEAT`
`static COSName` `RES_FORK`
`static COSName` `RESOURCES`
`static COSName` `RGB`
`static COSName` `RI`
`static COSName` `ROLE_MAP`
`static COSName` `ROOT`
`static COSName` `ROTATE`
`static COSName` `ROWS`
`static COSName` `RT`
`static COSName` `RUN_LENGTH_DECODE`
`static COSName` `RUN_LENGTH_DECODE_ABBREVIATION`
`static COSName` `RV`
`static COSName` `S`
`static COSName` `SA`
`static COSName` `SATURATION`
`static COSName` `SCHEMA`
`static COSName` `SCREEN`
`static COSName` `SE`
`static COSName` `SEPARATION`
`static COSName` `SET_F`
`static COSName` `SET_FF`
`static COSName` `SHADING`
`static COSName` `SHADING_TYPE`
`static COSName` `SIG`
`static COSName` `SIG_FLAGS`
`static COSName` `SIG_REF`
`static COSName` `SIZE`
`static COSName` `SM`
`static COSName` `SMASK`
`static COSName` `SMASK_IN_DATA`
`static COSName` `SOFT_LIGHT`
`static COSName` `SORT`
`static COSName` `SOUND`
`static COSName` `SPLIT`
`static COSName` `SS`
`static COSName` `ST`
`static COSName` `STANDARD_ENCODING`
`static COSName` `STATE`
`static COSName` `STATE_MODEL`
`static COSName` `STATUS`
`static COSName` `STD_CF`
`static COSName` `STEM_H`
`static COSName` `STEM_V`
`static COSName` `STM_F`
`static COSName` `STR_F`
`static COSName` `STRUCT_ELEM`
`static COSName` `STRUCT_PARENT`
`static COSName` `STRUCT_PARENTS`
`static COSName` `STRUCT_TREE_ROOT`
`static COSName` `STYLE`
`static COSName` `SUB_FILTER`
`static COSName` `SUBJ`
`static COSName` `SUBJECT`
`static COSName` `SUBJECT_DN`
`static COSName` `SUBTYPE`
`static COSName` `SUPPLEMENT`
`static COSName` `SV`
`static COSName` `SV_CERT`
`static COSName` `SW`
`static COSName` `SY`
`static COSName` `SYNCHRONOUS`
`static COSName` `T`
`static COSName` `TARGET`
`static COSName` `TEMPLATES`
`static COSName` `THREAD`
`static COSName` `THREADS`
`static COSName` `THREE_DD`
`static COSName` `THUMB`
`static COSName` `TI`
`static COSName` `TILING_TYPE`
`static COSName` `TIME_STAMP`
`static COSName` `TITLE`
`static COSName` `TK`
`static COSName` `TM`
`static COSName` `TO_UNICODE`
`static COSName` `TR`
`static COSName` `TR2`
`static COSName` `TRANS`
`static COSName` `TRANSFORM_METHOD`
`static COSName` `TRANSFORM_PARAMS`
`static COSName` `TRANSPARENCY`
`static COSName` `TRAPPED`
`static COSName` `TREF`
`static COSName` `TRIM_BOX`
`static COSName` `TRUE_TYPE`
`static COSName` `TRUSTED_MODE`
`static COSName` `TU`
`static COSName` `TX` Acro form field type for text field.
`static COSName` `TYPE`
`static COSName` `TYPE0`
`static COSName` `TYPE1`
`static COSName` `TYPE3`
`static COSName` `U`
`static COSName` `UE`
`static COSName` `UF`
`static COSName` `UNCHANGED`
`static COSName` `UNIX`
`static COSName` `URI`
`static COSName` `URL`
`static COSName` `URL_TYPE`
`static COSName` `USAGE`
`static COSName` `USE_CMAP`
`static COSName` `USER_UNIT`
`static COSName` `V`
`static COSName` `VE`
`static COSName` `VERISIGN_PPKVS`
`static COSName` `VERSION`
`static COSName` `VERTICES`
`static COSName` `VERTICES_PER_ROW`
`static COSName` `VIEW`
`static COSName` `VIEW_AREA`
`static COSName` `VIEW_CLIP`
`static COSName` `VIEW_STATE`
`static COSName` `VIEWER_PREFERENCES`
`static COSName` `VOLUME`
`static COSName` `VP`
`static COSName` `VRI`
`static COSName` `W`
`static COSName` `W2`
`static COSName` `WC`
`static COSName` `WHITE_POINT`
`static COSName` `WIDGET`
`static COSName` `WIDTH`
`static COSName` `WIDTHS`
`static COSName` `WIN`
`static COSName` `WIN_ANSI_ENCODING`
`static COSName` `WMODE`
`static COSName` `WP`
`static COSName` `WS`
`static COSName` `X`
`static COSName` `X_STEP`
`static COSName` `XFA`
`static COSName` `XHEIGHT`
`static COSName` `XOBJECT`
`static COSName` `XREF`
`static COSName` `XREF_STM`
`static COSName` `Y`
`static COSName` `Y_STEP`
`static COSName` `YES`
`static COSName` `ZA_DB`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`void` `accept(ICOSVisitor visitor)` visitor pattern double dispatch method.
`static void` `clearResources()` Deprecated. will be removed in 4.0.0
`int` `compareTo(COSName other)` Lexicographic ordering over unsigned byte values.
`boolean` `equals(Object object)`
`byte[]` `getBytes()` Returns the raw byte sequence that defines this name.
`String` `getName()` This will get the name of this COSName object.
`static COSName` `getPDFName(byte[] bytes)` Returns a `COSName` whose byte sequence is exactly `bytes`.
`static COSName` `getPDFName(String aName)` Returns a `COSName` whose byte sequence is the UTF-8 encoding of `aName`.
`int` `hashCode()`
`boolean` `isEmpty()` Returns true if the name is the empty string.
`String` `toString()`
`void` `writePDF(OutputStream output)` This will output this string as a PDF object.

### Methods inherited from class org.apache.pdfbox.cos.COSBase

`getCOSObject, getKey, isDirect, setDirect, setKey`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### A

    public static final COSName A

#### AA

    public static final COSName AA

#### ABSOLUTE_COLORIMETRIC

    public static final COSName ABSOLUTE_COLORIMETRIC

#### AC

    public static final COSName AC

#### ACRO_FORM

    public static final COSName ACRO_FORM

#### ACTUAL_TEXT

    public static final COSName ACTUAL_TEXT

#### ADBE

    public static final COSName ADBE

#### ADBE_PKCS7_DETACHED

    public static final COSName ADBE_PKCS7_DETACHED

#### ADBE_PKCS7_SHA1

    public static final COSName ADBE_PKCS7_SHA1

#### ADBE_X509_RSA_SHA1

    public static final COSName ADBE_X509_RSA_SHA1

#### ADOBE_PPKLITE

    public static final COSName ADOBE_PPKLITE

#### AESV2

    public static final COSName AESV2

#### AESV3

    public static final COSName AESV3

#### AF

    public static final COSName AF

#### AF_RELATIONSHIP

    public static final COSName AF_RELATIONSHIP

#### AFTER

    public static final COSName AFTER

#### AI_META_DATA

    public static final COSName AI_META_DATA

#### AIS

    public static final COSName AIS

#### ALL_OFF

    public static final COSName ALL_OFF

#### ALL_ON

    public static final COSName ALL_ON

#### ALT

    public static final COSName ALT

#### ALPHA

    public static final COSName ALPHA

#### ALTERNATE

    public static final COSName ALTERNATE

#### ANNOT

    public static final COSName ANNOT

#### ANNOTS

    public static final COSName ANNOTS

#### ANTI_ALIAS

    public static final COSName ANTI_ALIAS

#### ANY_OFF

    public static final COSName ANY_OFF

#### ANY_ON

    public static final COSName ANY_ON

#### AP

    public static final COSName AP

#### AP_REF

    public static final COSName AP_REF

#### APP

    public static final COSName APP

#### ART_BOX

    public static final COSName ART_BOX

#### ARTIFACT

    public static final COSName ARTIFACT

#### AS

    public static final COSName AS

#### ASCENT

    public static final COSName ASCENT

#### ASCII_HEX_DECODE

    public static final COSName ASCII_HEX_DECODE

#### ASCII_HEX_DECODE_ABBREVIATION

    public static final COSName ASCII_HEX_DECODE_ABBREVIATION

#### ASCII85_DECODE

    public static final COSName ASCII85_DECODE

#### ASCII85_DECODE_ABBREVIATION

    public static final COSName ASCII85_DECODE_ABBREVIATION

#### ATTACHED

    public static final COSName ATTACHED

#### AUTHOR

    public static final COSName AUTHOR

#### AVG_WIDTH

    public static final COSName AVG_WIDTH

#### B

    public static final COSName B

#### BACKGROUND

    public static final COSName BACKGROUND

#### BASE_ENCODING

    public static final COSName BASE_ENCODING

#### BASE_FONT

    public static final COSName BASE_FONT

#### BASE_STATE

    public static final COSName BASE_STATE

#### BASE_VERSION

    public static final COSName BASE_VERSION

#### BBOX

    public static final COSName BBOX

#### BC

    public static final COSName BC

#### BE

    public static final COSName BE

#### BEAD

    public static final COSName BEAD

#### BEFORE

    public static final COSName BEFORE

#### BG

    public static final COSName BG

#### BITS_PER_COMPONENT

    public static final COSName BITS_PER_COMPONENT

#### BITS_PER_COORDINATE

    public static final COSName BITS_PER_COORDINATE

#### BITS_PER_FLAG

    public static final COSName BITS_PER_FLAG

#### BITS_PER_SAMPLE

    public static final COSName BITS_PER_SAMPLE

#### BL

    public static final COSName BL

#### BLACK_IS_1

    public static final COSName BLACK_IS_1

#### BLACK_POINT

    public static final COSName BLACK_POINT

#### BLEED_BOX

    public static final COSName BLEED_BOX

#### BM

    public static final COSName BM

#### BORDER

    public static final COSName BORDER

#### BOUNDS

    public static final COSName BOUNDS

#### BPC

    public static final COSName BPC

#### BS

    public static final COSName BS

#### BTN

    public static final COSName BTN

#### BYTERANGE

    public static final COSName BYTERANGE

#### C

    public static final COSName C

#### C0

    public static final COSName C0

#### C1

    public static final COSName C1

#### CA

    public static final COSName CA

#### CA_NS

    public static final COSName CA_NS

#### CALGRAY

    public static final COSName CALGRAY

#### CALRGB

    public static final COSName CALRGB

#### CAP

    public static final COSName CAP

#### CAP_HEIGHT

    public static final COSName CAP_HEIGHT

#### CATALOG

    public static final COSName CATALOG

#### CCITTFAX_DECODE

    public static final COSName CCITTFAX_DECODE

#### CCITTFAX_DECODE_ABBREVIATION

    public static final COSName CCITTFAX_DECODE_ABBREVIATION

#### CENTER_WINDOW

    public static final COSName CENTER_WINDOW

#### CERT

    public static final COSName CERT

#### CERTS

    public static final COSName CERTS

#### CF

    public static final COSName CF

#### CFM

    public static final COSName CFM

#### CH

    public static final COSName CH

#### CHAR_PROCS

    public static final COSName CHAR_PROCS

#### CHAR_SET

    public static final COSName CHAR_SET

#### CHECK_SUM

    public static final COSName CHECK_SUM

#### CI

    public static final COSName CI

#### CICI_SIGNIT

    public static final COSName CICI_SIGNIT

#### CID_FONT_TYPE0

    public static final COSName CID_FONT_TYPE0

#### CID_FONT_TYPE2

    public static final COSName CID_FONT_TYPE2

#### CID_TO_GID_MAP

    public static final COSName CID_TO_GID_MAP

#### CID_SET

    public static final COSName CID_SET

#### CIDSYSTEMINFO

    public static final COSName CIDSYSTEMINFO

#### CL

    public static final COSName CL

#### CLASS_MAP

    public static final COSName CLASS_MAP

#### CLR_F

    public static final COSName CLR_F

#### CLR_FF

    public static final COSName CLR_FF

#### CMAP

    public static final COSName CMAP

#### CMAPNAME

    public static final COSName CMAPNAME

#### CMYK

    public static final COSName CMYK

#### CO

    public static final COSName CO

#### COLOR

    public static final COSName COLOR

#### COLLECTION

    public static final COSName COLLECTION

#### COLLECTION_ITEM

    public static final COSName COLLECTION_ITEM

#### COLLECTION_FIELD

    public static final COSName COLLECTION_FIELD

#### COLLECTION_SCHEMA

    public static final COSName COLLECTION_SCHEMA

#### COLLECTION_SORT

    public static final COSName COLLECTION_SORT

#### COLLECTION_SUBITEM

    public static final COSName COLLECTION_SUBITEM

#### COLOR_BURN

    public static final COSName COLOR_BURN

#### COLOR_DODGE

    public static final COSName COLOR_DODGE

#### COLORANTS

    public static final COSName COLORANTS

#### COLORS

    public static final COSName COLORS

#### COLORSPACE

    public static final COSName COLORSPACE

#### COLUMNS

    public static final COSName COLUMNS

#### COMPATIBLE

    public static final COSName COMPATIBLE

#### COMPONENTS

    public static final COSName COMPONENTS

#### CONTACT_INFO

    public static final COSName CONTACT_INFO

#### CONTENTS

    public static final COSName CONTENTS

#### COORDS

    public static final COSName COORDS

#### COUNT

    public static final COSName COUNT

#### CP

    public static final COSName CP

#### CREATION_DATE

    public static final COSName CREATION_DATE

#### CREATOR

    public static final COSName CREATOR

#### CRL

    public static final COSName CRL

#### CRLS

    public static final COSName CRLS

#### CROP_BOX

    public static final COSName CROP_BOX

#### CRYPT

    public static final COSName CRYPT

#### CS

    public static final COSName CS

#### CYX

    public static final COSName CYX

#### D

    public static final COSName D

#### DA

    public static final COSName DA

#### DARKEN

    public static final COSName DARKEN

#### DATE

    public static final COSName DATE

#### DCT_DECODE

    public static final COSName DCT_DECODE

#### DCT_DECODE_ABBREVIATION

    public static final COSName DCT_DECODE_ABBREVIATION

#### DECODE

    public static final COSName DECODE

#### DECODE_PARMS

    public static final COSName DECODE_PARMS

#### DEFAULT

    public static final COSName DEFAULT

#### DEFAULT_CMYK

    public static final COSName DEFAULT_CMYK

#### DEFAULT_CRYPT_FILTER

    public static final COSName DEFAULT_CRYPT_FILTER

#### DEFAULT_GRAY

    public static final COSName DEFAULT_GRAY

#### DEFAULT_RGB

    public static final COSName DEFAULT_RGB

#### DESC

    public static final COSName DESC

#### DESCENDANT_FONTS

    public static final COSName DESCENDANT_FONTS

#### DESCENT

    public static final COSName DESCENT

#### DEST

    public static final COSName DEST

#### DEST_OUTPUT_PROFILE

    public static final COSName DEST_OUTPUT_PROFILE

#### DESTS

    public static final COSName DESTS

#### DEVICECMYK

    public static final COSName DEVICECMYK

#### DEVICEGRAY

    public static final COSName DEVICEGRAY

#### DEVICEN

    public static final COSName DEVICEN

#### DEVICERGB

    public static final COSName DEVICERGB

#### DI

    public static final COSName DI

#### DIFFERENCE

    public static final COSName DIFFERENCE

#### DIFFERENCES

    public static final COSName DIFFERENCES

#### DIGEST_METHOD

    public static final COSName DIGEST_METHOD

#### DIGEST_RIPEMD160

    public static final COSName DIGEST_RIPEMD160

#### DIGEST_SHA1

    public static final COSName DIGEST_SHA1

#### DIGEST_SHA256

    public static final COSName DIGEST_SHA256

#### DIGEST_SHA384

    public static final COSName DIGEST_SHA384

#### DIGEST_SHA512

    public static final COSName DIGEST_SHA512

#### DIRECTION

    public static final COSName DIRECTION

#### DISPLAY_DOC_TITLE

    public static final COSName DISPLAY_DOC_TITLE

#### DL

    public static final COSName DL

#### DM

    public static final COSName DM

#### DOC

    public static final COSName DOC

#### DOC_CHECKSUM

    public static final COSName DOC_CHECKSUM

#### DOC_TIME_STAMP

    public static final COSName DOC_TIME_STAMP

#### DOCMDP

    public static final COSName DOCMDP

#### DOCUMENT

    public static final COSName DOCUMENT

#### DOMAIN

    public static final COSName DOMAIN

#### DOS

    public static final COSName DOS

#### DP

    public static final COSName DP

#### DR

    public static final COSName DR

#### DS

    public static final COSName DS

#### DSS

    public static final COSName DSS

#### DUPLEX

    public static final COSName DUPLEX

#### DUR

    public static final COSName DUR

#### DV

    public static final COSName DV

#### DW

    public static final COSName DW

#### DW2

    public static final COSName DW2

#### E

    public static final COSName E

#### EARLY_CHANGE

    public static final COSName EARLY_CHANGE

#### EF

    public static final COSName EF

#### EMBEDDED_FDFS

    public static final COSName EMBEDDED_FDFS

#### EMBEDDED_FILE

    public static final COSName EMBEDDED_FILE

#### EMBEDDED_FILES

    public static final COSName EMBEDDED_FILES

#### EMPTY

    public static final COSName EMPTY

#### ENCODE

    public static final COSName ENCODE

#### ENCODED_BYTE_ALIGN

    public static final COSName ENCODED_BYTE_ALIGN

#### ENCODING

    public static final COSName ENCODING

#### ENCODING_90MS_RKSJ_H

    public static final COSName ENCODING_90MS_RKSJ_H

#### ENCODING_90MS_RKSJ_V

    public static final COSName ENCODING_90MS_RKSJ_V

#### ENCODING_ETEN_B5_H

    public static final COSName ENCODING_ETEN_B5_H

#### ENCODING_ETEN_B5_V

    public static final COSName ENCODING_ETEN_B5_V

#### ENCRYPT

    public static final COSName ENCRYPT

#### ENCRYPT_META_DATA

    public static final COSName ENCRYPT_META_DATA

#### ENCRYPTED_PAYLOAD

    public static final COSName ENCRYPTED_PAYLOAD

#### END_OF_LINE

    public static final COSName END_OF_LINE

#### ENTRUST_PPKEF

    public static final COSName ENTRUST_PPKEF

#### EXCLUSION

    public static final COSName EXCLUSION

#### EXTENSIONS

    public static final COSName EXTENSIONS

#### EXTENSION_LEVEL

    public static final COSName EXTENSION_LEVEL

#### EX_DATA

    public static final COSName EX_DATA

#### EXPORT

    public static final COSName EXPORT

#### EXPORT_STATE

    public static final COSName EXPORT_STATE

#### EXT_G_STATE

    public static final COSName EXT_G_STATE

#### EXTEND

    public static final COSName EXTEND

#### EXTENDS

    public static final COSName EXTENDS

#### F

    public static final COSName F

#### F_DECODE_PARMS

    public static final COSName F_DECODE_PARMS

#### F_FILTER

    public static final COSName F_FILTER

#### FB

    public static final COSName FB

#### FDF

    public static final COSName FDF

#### FF

    public static final COSName FF

#### FIELDS

    public static final COSName FIELDS

#### FILESPEC

    public static final COSName FILESPEC

#### FILTER

    public static final COSName FILTER

#### FIRST

    public static final COSName FIRST

#### FIRST_CHAR

    public static final COSName FIRST_CHAR

#### FIT_WINDOW

    public static final COSName FIT_WINDOW

#### FL

    public static final COSName FL

#### FLAGS

    public static final COSName FLAGS

#### FLATE_DECODE

    public static final COSName FLATE_DECODE

#### FLATE_DECODE_ABBREVIATION

    public static final COSName FLATE_DECODE_ABBREVIATION

#### FO

    public static final COSName FO

#### FOLDERS

    public static final COSName FOLDERS

#### FONT

    public static final COSName FONT

#### FONT_BBOX

    public static final COSName FONT_BBOX

#### FONT_DESC

    public static final COSName FONT_DESC

#### FONT_FAMILY

    public static final COSName FONT_FAMILY

#### FONT_FILE

    public static final COSName FONT_FILE

#### FONT_FILE2

    public static final COSName FONT_FILE2

#### FONT_FILE3

    public static final COSName FONT_FILE3

#### FONT_MATRIX

    public static final COSName FONT_MATRIX

#### FONT_NAME

    public static final COSName FONT_NAME

#### FONT_STRETCH

    public static final COSName FONT_STRETCH

#### FONT_WEIGHT

    public static final COSName FONT_WEIGHT

#### FORM

    public static final COSName FORM

#### FORMTYPE

    public static final COSName FORMTYPE

#### FRM

    public static final COSName FRM

#### FS

    public static final COSName FS

#### FT

    public static final COSName FT

#### FUNCTION

    public static final COSName FUNCTION

#### FUNCTION_TYPE

    public static final COSName FUNCTION_TYPE

#### FUNCTIONS

    public static final COSName FUNCTIONS

#### G

    public static final COSName G

#### GAMMA

    public static final COSName GAMMA

#### GROUP

    public static final COSName GROUP

#### GTS_PDFA1

    public static final COSName GTS_PDFA1

#### H

    public static final COSName H

#### HARD_LIGHT

    public static final COSName HARD_LIGHT

#### HEIGHT

    public static final COSName HEIGHT

#### HELV

    public static final COSName HELV

#### HIDE_MENUBAR

    public static final COSName HIDE_MENUBAR

#### HIDE_TOOLBAR

    public static final COSName HIDE_TOOLBAR

#### HIDE_WINDOWUI

    public static final COSName HIDE_WINDOWUI

#### HUE

    public static final COSName HUE

#### I

    public static final COSName I

#### IC

    public static final COSName IC

#### ICCBASED

    public static final COSName ICCBASED

#### ID

    public static final COSName ID

#### ID_TREE

    public static final COSName ID_TREE

#### IDENTITY

    public static final COSName IDENTITY

#### IDENTITY_H

    public static final COSName IDENTITY_H

#### IDENTITY_V

    public static final COSName IDENTITY_V

#### IF

    public static final COSName IF

#### ILLUSTRATOR

    public static final COSName ILLUSTRATOR

#### IM

    public static final COSName IM

#### IMAGE

    public static final COSName IMAGE

#### IMAGE_MASK

    public static final COSName IMAGE_MASK

#### INDEX

    public static final COSName INDEX

#### INDEXED

    public static final COSName INDEXED

#### INFO

    public static final COSName INFO

#### INKLIST

    public static final COSName INKLIST

#### INTENT

    public static final COSName INTENT

#### INTERPOLATE

    public static final COSName INTERPOLATE

#### IRT

    public static final COSName IRT

#### IT

    public static final COSName IT

#### ITALIC_ANGLE

    public static final COSName ITALIC_ANGLE

#### ISSUER

    public static final COSName ISSUER

#### IX

    public static final COSName IX

#### JAVA_SCRIPT

    public static final COSName JAVA_SCRIPT

#### JBIG2_DECODE

    public static final COSName JBIG2_DECODE

#### JBIG2_GLOBALS

    public static final COSName JBIG2_GLOBALS

#### JPX_DECODE

    public static final COSName JPX_DECODE

#### JS

    public static final COSName JS

#### K

    public static final COSName K

#### KEYWORDS

    public static final COSName KEYWORDS

#### KEY_USAGE

    public static final COSName KEY_USAGE

#### KIDS

    public static final COSName KIDS

#### L

    public static final COSName L

#### LAB

    public static final COSName LAB

#### LANG

    public static final COSName LANG

#### LAST

    public static final COSName LAST

#### LAST_CHAR

    public static final COSName LAST_CHAR

#### LAST_MODIFIED

    public static final COSName LAST_MODIFIED

#### LC

    public static final COSName LC

#### LE

    public static final COSName LE

#### LEADING

    public static final COSName LEADING

#### LEGAL_ATTESTATION

    public static final COSName LEGAL_ATTESTATION

#### LENGTH

    public static final COSName LENGTH

#### LENGTH1

    public static final COSName LENGTH1

#### LENGTH2

    public static final COSName LENGTH2

#### LENGTH3

    public static final COSName LENGTH3

#### LIGHTEN

    public static final COSName LIGHTEN

#### LIMITS

    public static final COSName LIMITS

#### LINEARIZED

    public static final COSName LINEARIZED

#### LINK

    public static final COSName LINK

#### LJ

    public static final COSName LJ

#### LL

    public static final COSName LL

#### LLE

    public static final COSName LLE

#### LLO

    public static final COSName LLO

#### LOCATION

    public static final COSName LOCATION

#### LUMINOSITY

    public static final COSName LUMINOSITY

#### LW

    public static final COSName LW

#### LZW_DECODE

    public static final COSName LZW_DECODE

#### LZW_DECODE_ABBREVIATION

    public static final COSName LZW_DECODE_ABBREVIATION

#### M

    public static final COSName M

#### MAC

    public static final COSName MAC

#### MAC_EXPERT_ENCODING

    public static final COSName MAC_EXPERT_ENCODING

#### MAC_ROMAN_ENCODING

    public static final COSName MAC_ROMAN_ENCODING

#### MARK_INFO

    public static final COSName MARK_INFO

#### MASK

    public static final COSName MASK

#### MATRIX

    public static final COSName MATRIX

#### MATTE

    public static final COSName MATTE

#### MAX_LEN

    public static final COSName MAX_LEN

#### MAX_WIDTH

    public static final COSName MAX_WIDTH

#### MCID

    public static final COSName MCID

#### MCR

    public static final COSName MCR

#### MDP

    public static final COSName MDP

#### MEDIA_BOX

    public static final COSName MEDIA_BOX

#### MEASURE

    public static final COSName MEASURE

#### METADATA

    public static final COSName METADATA

#### MISSING_WIDTH

    public static final COSName MISSING_WIDTH

#### MIX

    public static final COSName MIX

#### MK

    public static final COSName MK

#### ML

    public static final COSName ML

#### MM_TYPE1

    public static final COSName MM_TYPE1

#### MOD_DATE

    public static final COSName MOD_DATE

#### MULTIPLY

    public static final COSName MULTIPLY

#### N

    public static final COSName N

#### NAME

    public static final COSName NAME

#### NAMES

    public static final COSName NAMES

#### NAVIGATOR

    public static final COSName NAVIGATOR

#### NEED_APPEARANCES

    public static final COSName NEED_APPEARANCES

#### NEW_WINDOW

    public static final COSName NEW_WINDOW

#### NEXT

    public static final COSName NEXT

#### NM

    public static final COSName NM

#### NON_EFONT_NO_WARN

    public static final COSName NON_EFONT_NO_WARN

#### NON_FULL_SCREEN_PAGE_MODE

    public static final COSName NON_FULL_SCREEN_PAGE_MODE

#### NONE

    public static final COSName NONE

#### NORMAL

    public static final COSName NORMAL

#### NUMS

    public static final COSName NUMS

#### O

    public static final COSName O

#### OBJ

    public static final COSName OBJ

#### OBJR

    public static final COSName OBJR

#### OBJ_STM

    public static final COSName OBJ_STM

#### OC

    public static final COSName OC

#### OCG

    public static final COSName OCG

#### OCGS

    public static final COSName OCGS

#### OCMD

    public static final COSName OCMD

#### OCPROPERTIES

    public static final COSName OCPROPERTIES

#### OCSP

    public static final COSName OCSP

#### OCSPS

    public static final COSName OCSPS

#### OE

    public static final COSName OE

#### OID

    public static final COSName OID

#### OFF

    public static final COSName OFF

"OFF", to be used for OCGs, not for Acroform

#### Off

    public static final COSName Off

"Off", to be used for Acroform, not for OCGs

#### ON

    public static final COSName ON

#### OP

    public static final COSName OP

#### OP_NS

    public static final COSName OP_NS

#### OPEN_ACTION

    public static final COSName OPEN_ACTION

#### OPEN_TYPE

    public static final COSName OPEN_TYPE

#### OPM

    public static final COSName OPM

#### OPT

    public static final COSName OPT

#### ORDER

    public static final COSName ORDER

#### ORDERING

    public static final COSName ORDERING

#### OS

    public static final COSName OS

#### OUTLINES

    public static final COSName OUTLINES

#### OUTPUT_CONDITION

    public static final COSName OUTPUT_CONDITION

#### OUTPUT_CONDITION_IDENTIFIER

    public static final COSName OUTPUT_CONDITION_IDENTIFIER

#### OUTPUT_INTENT

    public static final COSName OUTPUT_INTENT

#### OUTPUT_INTENTS

    public static final COSName OUTPUT_INTENTS

#### OVERLAY

    public static final COSName OVERLAY

#### P

    public static final COSName P

#### PA

    public static final COSName PA

#### PAGE

    public static final COSName PAGE

#### PAGE_LABELS

    public static final COSName PAGE_LABELS

#### PAGE_LAYOUT

    public static final COSName PAGE_LAYOUT

#### PAGE_MODE

    public static final COSName PAGE_MODE

#### PAGES

    public static final COSName PAGES

#### PAINT_TYPE

    public static final COSName PAINT_TYPE

#### PANOSE

    public static final COSName PANOSE

#### PARAMS

    public static final COSName PARAMS

#### PARENT

    public static final COSName PARENT

#### PARENT_TREE

    public static final COSName PARENT_TREE

#### PARENT_TREE_NEXT_KEY

    public static final COSName PARENT_TREE_NEXT_KEY

#### PART

    public static final COSName PART

#### PATH

    public static final COSName PATH

#### PATTERN

    public static final COSName PATTERN

#### PATTERN_TYPE

    public static final COSName PATTERN_TYPE

#### PC

    public static final COSName PC

#### PDF_DOC_ENCODING

    public static final COSName PDF_DOC_ENCODING

#### PERMS

    public static final COSName PERMS

#### PERCEPTUAL

    public static final COSName PERCEPTUAL

#### PIECE_INFO

    public static final COSName PIECE_INFO

#### PG

    public static final COSName PG

#### PI

    public static final COSName PI

#### PO

    public static final COSName PO

#### POPUP

    public static final COSName POPUP

#### PRE_RELEASE

    public static final COSName PRE_RELEASE

#### PREDICTOR

    public static final COSName PREDICTOR

#### PREV

    public static final COSName PREV

#### PRINT

    public static final COSName PRINT

#### PRINT_AREA

    public static final COSName PRINT_AREA

#### PRINT_CLIP

    public static final COSName PRINT_CLIP

#### PRINT_SCALING

    public static final COSName PRINT_SCALING

#### PRINT_STATE

    public static final COSName PRINT_STATE

#### PRIVATE

    public static final COSName PRIVATE

#### PROC_SET

    public static final COSName PROC_SET

#### PROCESS

    public static final COSName PROCESS

#### PRODUCER

    public static final COSName PRODUCER

#### PROP_BUILD

    public static final COSName PROP_BUILD

#### PROPERTIES

    public static final COSName PROPERTIES

#### PS

    public static final COSName PS

#### PUB_SEC

    public static final COSName PUB_SEC

#### PV

    public static final COSName PV

#### Q

    public static final COSName Q

#### QUADPOINTS

    public static final COSName QUADPOINTS

#### R

    public static final COSName R

#### RANGE

    public static final COSName RANGE

#### RC

    public static final COSName RC

#### RD

    public static final COSName RD

#### REASON

    public static final COSName REASON

#### REASONS

    public static final COSName REASONS

#### RECIPIENTS

    public static final COSName RECIPIENTS

#### RECT

    public static final COSName RECT

#### REFERENCE

    public static final COSName REFERENCE

#### REGISTRY

    public static final COSName REGISTRY

#### REGISTRY_NAME

    public static final COSName REGISTRY_NAME

#### RELATIVE_COLORIMETRIC

    public static final COSName RELATIVE_COLORIMETRIC

#### RENAME

    public static final COSName RENAME

#### REPEAT

    public static final COSName REPEAT

#### RES_FORK

    public static final COSName RES_FORK

#### RESOURCES

    public static final COSName RESOURCES

#### RGB

    public static final COSName RGB

#### RI

    public static final COSName RI

#### ROLE_MAP

    public static final COSName ROLE_MAP

#### ROOT

    public static final COSName ROOT

#### ROTATE

    public static final COSName ROTATE

#### ROWS

    public static final COSName ROWS

#### RT

    public static final COSName RT

#### RUN_LENGTH_DECODE

    public static final COSName RUN_LENGTH_DECODE

#### RUN_LENGTH_DECODE_ABBREVIATION

    public static final COSName RUN_LENGTH_DECODE_ABBREVIATION

#### RV

    public static final COSName RV

#### S

    public static final COSName S

#### SA

    public static final COSName SA

#### SATURATION

    public static final COSName SATURATION

#### SCHEMA

    public static final COSName SCHEMA

#### SCREEN

    public static final COSName SCREEN

#### SE

    public static final COSName SE

#### SEPARATION

    public static final COSName SEPARATION

#### SET_F

    public static final COSName SET_F

#### SET_FF

    public static final COSName SET_FF

#### SHADING

    public static final COSName SHADING

#### SHADING_TYPE

    public static final COSName SHADING_TYPE

#### SIG

    public static final COSName SIG

#### SIG_FLAGS

    public static final COSName SIG_FLAGS

#### SIG_REF

    public static final COSName SIG_REF

#### SIZE

    public static final COSName SIZE

#### SM

    public static final COSName SM

#### SMASK

    public static final COSName SMASK

#### SMASK_IN_DATA

    public static final COSName SMASK_IN_DATA

#### SOFT_LIGHT

    public static final COSName SOFT_LIGHT

#### SORT

    public static final COSName SORT

#### SOUND

    public static final COSName SOUND

#### SPLIT

    public static final COSName SPLIT

#### SS

    public static final COSName SS

#### ST

    public static final COSName ST

#### STANDARD_ENCODING

    public static final COSName STANDARD_ENCODING

#### STATE

    public static final COSName STATE

#### STATE_MODEL

    public static final COSName STATE_MODEL

#### STATUS

    public static final COSName STATUS

#### STD_CF

    public static final COSName STD_CF

#### STEM_H

    public static final COSName STEM_H

#### STEM_V

    public static final COSName STEM_V

#### STM_F

    public static final COSName STM_F

#### STR_F

    public static final COSName STR_F

#### STRUCT_ELEM

    public static final COSName STRUCT_ELEM

#### STRUCT_PARENT

    public static final COSName STRUCT_PARENT

#### STRUCT_PARENTS

    public static final COSName STRUCT_PARENTS

#### STRUCT_TREE_ROOT

    public static final COSName STRUCT_TREE_ROOT

#### STYLE

    public static final COSName STYLE

#### SUB_FILTER

    public static final COSName SUB_FILTER

#### SUBJ

    public static final COSName SUBJ

#### SUBJECT

    public static final COSName SUBJECT

#### SUBJECT_DN

    public static final COSName SUBJECT_DN

#### SUBTYPE

    public static final COSName SUBTYPE

#### SUPPLEMENT

    public static final COSName SUPPLEMENT

#### SV

    public static final COSName SV

#### SV_CERT

    public static final COSName SV_CERT

#### SW

    public static final COSName SW

#### SY

    public static final COSName SY

#### SYNCHRONOUS

    public static final COSName SYNCHRONOUS

#### T

    public static final COSName T

#### TARGET

    public static final COSName TARGET

#### TEMPLATES

    public static final COSName TEMPLATES

#### THREAD

    public static final COSName THREAD

#### THREADS

    public static final COSName THREADS

#### THREE_DD

    public static final COSName THREE_DD

#### THUMB

    public static final COSName THUMB

#### TI

    public static final COSName TI

#### TILING_TYPE

    public static final COSName TILING_TYPE

#### TIME_STAMP

    public static final COSName TIME_STAMP

#### TITLE

    public static final COSName TITLE

#### TK

    public static final COSName TK

#### TM

    public static final COSName TM

#### TO_UNICODE

    public static final COSName TO_UNICODE

#### TR

    public static final COSName TR

#### TR2

    public static final COSName TR2

#### TRAPPED

    public static final COSName TRAPPED

#### TRANS

    public static final COSName TRANS

#### TRANSFORM_METHOD

    public static final COSName TRANSFORM_METHOD

#### TRANSFORM_PARAMS

    public static final COSName TRANSFORM_PARAMS

#### TRANSPARENCY

    public static final COSName TRANSPARENCY

#### TREF

    public static final COSName TREF

#### TRIM_BOX

    public static final COSName TRIM_BOX

#### TRUE_TYPE

    public static final COSName TRUE_TYPE

#### TRUSTED_MODE

    public static final COSName TRUSTED_MODE

#### TU

    public static final COSName TU

#### TX

    public static final COSName TX

Acro form field type for text field.

#### TYPE

    public static final COSName TYPE

#### TYPE0

    public static final COSName TYPE0

#### TYPE1

    public static final COSName TYPE1

#### TYPE3

    public static final COSName TYPE3

#### U

    public static final COSName U

#### UE

    public static final COSName UE

#### UF

    public static final COSName UF

#### UNCHANGED

    public static final COSName UNCHANGED

#### UNIX

    public static final COSName UNIX

#### URI

    public static final COSName URI

#### URL

    public static final COSName URL

#### URL_TYPE

    public static final COSName URL_TYPE

#### USAGE

    public static final COSName USAGE

#### USE_CMAP

    public static final COSName USE_CMAP

#### USER_UNIT

    public static final COSName USER_UNIT

#### V

    public static final COSName V

#### VE

    public static final COSName VE

#### VERISIGN_PPKVS

    public static final COSName VERISIGN_PPKVS

#### VERSION

    public static final COSName VERSION

#### VERTICES

    public static final COSName VERTICES

#### VERTICES_PER_ROW

    public static final COSName VERTICES_PER_ROW

#### VIEW

    public static final COSName VIEW

#### VIEW_AREA

    public static final COSName VIEW_AREA

#### VIEW_CLIP

    public static final COSName VIEW_CLIP

#### VIEW_STATE

    public static final COSName VIEW_STATE

#### VIEWER_PREFERENCES

    public static final COSName VIEWER_PREFERENCES

#### VOLUME

    public static final COSName VOLUME

#### VP

    public static final COSName VP

#### VRI

    public static final COSName VRI

#### W

    public static final COSName W

#### W2

    public static final COSName W2

#### WC

    public static final COSName WC

#### WHITE_POINT

    public static final COSName WHITE_POINT

#### WIDGET

    public static final COSName WIDGET

#### WIDTH

    public static final COSName WIDTH

#### WIDTHS

    public static final COSName WIDTHS

#### WIN

    public static final COSName WIN

#### WIN_ANSI_ENCODING

    public static final COSName WIN_ANSI_ENCODING

#### WMODE

    public static final COSName WMODE

#### WP

    public static final COSName WP

#### WS

    public static final COSName WS

#### X

    public static final COSName X

#### XFA

    public static final COSName XFA

#### X_STEP

    public static final COSName X_STEP

#### XHEIGHT

    public static final COSName XHEIGHT

#### XOBJECT

    public static final COSName XOBJECT

#### XREF

    public static final COSName XREF

#### XREF_STM

    public static final COSName XREF_STM

#### Y

    public static final COSName Y

#### Y_STEP

    public static final COSName Y_STEP

#### YES

    public static final COSName YES

#### ZA_DB

    public static final COSName ZA_DB

### Method Detail

#### getPDFName

    public static COSName getPDFName(String aName)

Returns a `COSName` whose byte sequence is the UTF-8 encoding of `aName`.

This is the standard factory for names defined in Java source code (e.g. the static constants above). All well-formed PDF names defined by the spec are ASCII, so the UTF-8 encoding is a transparent identity transform for those cases.

Parameters:
  `aName` - the name string; must not be `null`
Returns:
  a canonicalised `COSName` instance

#### getPDFName

    public static COSName getPDFName(byte[] bytes)

Returns a `COSName` whose byte sequence is exactly `bytes`.

This is the preferred factory when constructing a name directly from a PDF byte stream (i.e. after the parser has stripped the leading `/` and expanded all `#XX` escape sequences). Using this method preserves the spec-correct, byte-level identity of the name even when the bytes are not valid UTF-8.

Parameters:
  `bytes` - the raw decoded byte sequence
Returns:
  a canonicalised `COSName` instance

#### getBytes

    public byte[] getBytes()

Returns the raw byte sequence that defines this name.

This is the atomic content/identity of the name. Prefer this over `getName()` whenever you need to write name bytes to an output stream, compare names parsed from a PDF, or otherwise operate at the byte level.

Returns:
  a defensive copy of the internal byte array; never `null`

#### getName

    public String getName()

This will get the name of this COSName object.

Returns:
  The name of the object.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object object)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo(COSName other)

Lexicographic ordering over unsigned byte values.

Unsigned comparison is used so that bytes with the high bit set sort after all ASCII bytes, which matches the natural PDF byte ordering.

Specified by:
  `compareTo` in interface `Comparable<COSName>`

#### isEmpty

    public boolean isEmpty()

Returns true if the name is the empty string.

Returns:
  true if the name is the empty string.

#### accept

    public void accept(ICOSVisitor visitor)
                throws IOException

Description copied from class: `COSBase`
visitor pattern double dispatch method.

Specified by:
  `accept` in class `COSBase`
Parameters:
  `visitor` - The object to notify when visiting this object.
Throws:
  `IOException` - If an error occurs while visiting this object.

#### writePDF

    public void writePDF(OutputStream output)
                  throws IOException

This will output this string as a PDF object.

Parameters:
  `output` - The stream to write to.
Throws:
  `IOException` - If there is an error writing to the stream.

#### clearResources

    @Deprecated
    public static void clearResources()

Deprecated. will be removed in 4.0.0
Not usually needed except if resources need to be reclaimed in a long running process.